package mior.model;


import org.jocl.struct.Struct;

public class MiorOM extends Struct implements IMiorOM {
	
	public float		x;
	public float		y;
	
	public int			carbone = 5000;
	public int			lock = -1;
	
	public MiorOM(float x, float y) {
		this.x = x;
		this.y = y;
	}
	
	@Override
	public float getX() {
		return x;
	}
	
	@Override
	public float getY() {
		return y;
	}
	
	@Override
	public int getCarbone() {
		return carbone;
	}
	
}
